## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-consumption

Name:           python-%{srcname}
Version:        2.0.0
Release:        %autorelease
Summary:        Microsoft Azure Consumption Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}
Patch0:         python-azure-consumption-remove-nspkg.patch

Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure Consumption Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove the custom wheel builder.
rm -fv azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# PEP 420 allows implicit namespace packaging without additional __init__.py
# files. Remove unneccessary __init__.py that conflicts with other packages.
rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}
rm -rf %{buildroot}%{python3_sitelib}/azure/mgmt/{__init__.py,__pycache__}


%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%{python3_sitelib}/azure/mgmt/consumption
%{python3_sitelib}/azure_mgmt_consumption-%{version}.dist-info


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:2.0.0-7
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:2.0.0-5
- Move obsoletes into subpackage

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:2.0.0-4
- Specify packaged files manually

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:2.0.0-3
- Remove conflicting namespace package files

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:2.0.0-2
- Add epoch number for 2.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:2.0.0-1
- Downgrade to 2.0.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 8.0.0-1
- Initial import (#1971790)
